---
lang: en
title: 'API docs: rest.requestbodyparser'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.requestbodyparser.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RequestBodyParser](./rest.requestbodyparser.md)

## RequestBodyParser class

<b>Signature:</b>

```typescript
export declare class RequestBodyParser 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(parsers, ctx)](./rest.requestbodyparser._constructor_.md) |  | Constructs a new instance of the <code>RequestBodyParser</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [parsers](./rest.requestbodyparser.parsers.md) |  | <code>BodyParser[]</code> |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [loadRequestBodyIfNeeded(operationSpec, request)](./rest.requestbodyparser.loadrequestbodyifneeded.md) |  |  |


